#
# spec file for package perl-Math-Round
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Math-Round
Version:        0.07
Release:        4.1
# MANUAL
%define cpan_name Math-Round
Summary:        Perl extension for rounding numbers
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Math-Round/
Source:         http://www.cpan.org/authors/id/G/GR/GROMMEL/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AutoLoader)
Requires:       perl(AutoLoader)
%{perl_requires}

%description
*Math::Round* supplies functions that will round numbers in different ways.
The functions *round* and *nearest* are exported by default; others are
available as described below. "use ... qw(:all)" exports all functions.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Jan  3 2015 opensuse@dstoecker.de
- version 0.07: Corrected possible conflict with POSIX
* Wed Jan 30 2013 opensuse@dstoecker.de
- add missing dependency on perl-AutoLoader
* Wed May  4 2011 coolo@opensuse.org
- regenerate with cpanspec
* Tue May  3 2011 cfarrell@novell.com
- license update: GPL+ or Artistic
  Proper syntax for typical Perl packages with typical Perl license is GPL+
  or Artistic
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jul 15 2008 opensuse@dstoecker.de
- Initial package.
